/**
 *
 * Navigation functions
 *
 */

function setActiveClass(c) {
	try
	{
		$('.f-home').removeClass('ui-btn-active');
		$('.f-trips').removeClass('ui-btn-active');	
		$('.f-inbox').removeClass('ui-btn-active');	
		$('.f-buddies').removeClass('ui-btn-active');	
		$('.f-more').removeClass('ui-btn-active');

		$('.'+c).addClass('ui-btn-active');
	}
	catch(e) {}
}

/**
function splash_page() {
	$.mobile.changePage( "#splash", { transition: "none", changeHash: true });
	window.localStorage.setItem("current_page_id", 'splash');
}
**/

function login_page() {
	$.mobile.changePage( "#login", { transition: "pop", changeHash: true });
	window.localStorage.setItem("current_page_id", 'login');
}

function set_time(id,from,to,Nfrom,Nto) {
	show_loader();
	id = typeof id !== 'undefined' ? id : null;
	from = typeof id !== 'undefined' ? from : null;
	to = typeof id !== 'undefined' ? to : null;
	Nfrom = typeof id !== 'undefined' ? Nfrom : null;
	Nto = typeof id !== 'undefined' ? Nto : null;
	if(from != null && to != null) {
		lss('from',from);
		lss('to',to);
		lss('Nfrom',Nfrom);
		lss('Nto',Nto);
		lss('tripId',id);
	}
	else if(id != null) {
		window.localStorage.setItem("card_id", id);
	}
	$.mobile.changePage( "#set-time", { transition: "flow", changeHash: true });
	$('#datebox_open_input').trigger('datebox', {'method':'open'})
	$('.ui-datebox-container').attr('style', 'z-index: 500 !important; position: absolute !important; top: 4px !important; left: 3% !important; width: 94% !important;');
	setTimeout(function() {
			$('#datebox_open_input').datebox('refresh');
			hide_loader();
	},500);
}

function add_card_page() {

    if(lsg('current_page_id') == 'login') {
        $.mobile.changePage( "#add-card", { transition: "flip", changeHash: true });
    }
	else {
        $.mobile.changePage( "#add-card", { transition: "flow", changeHash: true });
    }
	var new_data = view_add_edit_card();
	if(new_data != 'undefined') {
        //noinspection JSJQueryEfficiency,JSJQueryEfficiency,JSJQueryEfficiency
        $('#dispaly_cards').html('');
        //noinspection JSJQueryEfficiency,JSJQueryEfficiency,JSJQueryEfficiency
        $('#dispaly_cards').html(new_data);
	}
	window.localStorage.setItem("current_page_id", 'add-card');
	setActiveClass('f-home');
	var now = new Date();
	console.log(now.getTime());
	setTimeout(function() {
		var now = new Date();
		console.log(now.getTime());
	},1000);
}

function new_journey_page() {
	$.mobile.changePage( "#new-journey", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'new-journey');
	setActiveClass('f-trips');
}

function new_journey2_page() {
    $.mobile.changePage( "#new-journey-st2", { transition: "flow", changeHash: true });
    window.localStorage.setItem("current_page_id", 'new-journey-st2');
    setActiveClass('f-trips');
}

function feedback_success_page() {
    $.mobile.changePage( "#feedback-success", { transition: "flip", changeHash: true });
    window.localStorage.setItem("current_page_id", 'feedback-success');
    setActiveClass('f-trips');
}

function more_page() {
	$.mobile.changePage( "#more", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'more');
  	setActiveClass('f-more');
}

function map_page() {
	$.mobile.changePage( "#map", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'map');
  	setActiveClass('f-more1');
}

function journey_summary_page() {
    //noinspection JSJQueryEfficiency
    $('#datebox_open_input').trigger('datebox', {'method':'dooffset', 'type':'l', 'amount':0}).trigger('datebox', {'method':'doset'});
    //noinspection JSJQueryEfficiency
    $('#datebox_open_input').trigger('datebox', {'method':'dooffset', 'type':'M', 'amount':0}).trigger('datebox', {'method':'doset'});
    //noinspection JSJQueryEfficiency
    $('#datebox_open_input').trigger('datebox', {'method':'clear'});
	$.mobile.changePage( "#journey-summary", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'journey-summary');
	setActiveClass('f-trips');
}

function my_trips_page() {
	show_loader('my_trips_page');
	trippagedata();
	$.mobile.changePage( "#my-trips", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'my-trips');	
	setActiveClass('f-trips');
}

function buddies_page() {
	$.mobile.changePage( "#buddies", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'buddies');
	setActiveClass('f-buddies');
}

function inbox_page() {
	$.mobile.changePage( "#inbox", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'inbox');
  	setActiveClass('f-inbox');
}

function feedback_page() {
	$('#feedback-agency-name').html(lsg("select_text"));
	$.mobile.changePage( "#feedback", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'feedback');
	setActiveClass('f-trips');
}

function announcements_page() {
	$.mobile.changePage( "#announcements", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'announcements');
	setActiveClass('f-trips');
}

function transport_page() {
	$.mobile.changePage( "#transport", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'transport');
	setActiveClass('f-trips');
}

function signup_page() {
	$.mobile.changePage( "#signup", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'signup');
}

function home_page() {
	$.mobile.changePage( "#add-card", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'add-card');
	setActiveClass('f-home');
}

function forgot_page() {
	//~ $.mobile.changePage( "#forgot", { transition: "flip", changeHash: true });
	//~ window.localStorage.setItem("current_page_id", 'forgot');
	alert('please contact admin@gometro.co.za for support');
}

function forgot_confirm_page() {
	$.mobile.changePage( "#forgot-conf", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'forgot-confirm');
}

function side_panel() {
	$('#mi-sidepanel-menu').panel("toggle");
}

function add_edit_card_page() {
	$.mobile.changePage( "#add-edit-card", { transition: "flow", changeHash: true });
	window.localStorage.setItem("current_page_id", 'add-edit-card');
	setActiveClass('f-home');
}

function add_edit_card2_page() {
    $.mobile.changePage( "#add-edit-card-st2", { transition: "flow", changeHash: true });
    window.localStorage.setItem("current_page_id", 'add-edit-card-st2');
    setActiveClass('f-home');
}

$(document).bind('panelopen', function (e, data) {
    $('body').css("overflow", "hidden");
});

$(document).bind('panelclose', function (e, data) {
    $('body').css("overflow", "auto");
});
